* {
    font-size: 16px;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
    border: none;
    text-decoration: none;
    text-transform: capitalize;
}

html{
    font-size: 62.5%;
    overflow-x: hidden;
    scroll-behavior: smooth;
    scroll-padding-top: 6rem;
}

body {
    width: 100%;
    font-family: Arial, sans-serif;
}

main {
    width: 100%;
    display: flex;
    flex-direction: row;
    padding: 10px;
}

section {
    margin: 5px;
    padding: 10px 25px;
}

header {
    background-color: #333;
    color: #fff;
    padding: 1rem 4rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    text-align: center;
}

header h2 {
    margin: 0;
    font-size: 2.5rem;
}

nav ul {
    display: flex;
    list-style-type: none;
    padding: 0;
}

nav ul li {
    display: flex;
    margin-left: 2rem;
    position: relative;
}

nav ul li img {
    max-height: 5rem;
}

a {
    text-decoration: none;
    color: #000;
}

.notification{
    position: relative;
    cursor: pointer;
}

.notification.active::before {
    content: "";
    position: absolute;
    top: 5px;
    right: 5px;
    width: 1.2rem;
    height: 1.2rem;
    border-radius: 50%;
    background-color: red;
    opacity: 0.8;
    animation: blink 1s infinite alternate;
    z-index: 1;
}

.notification-item {
    display: flex;
    margin: 5px;
    color: gray;
}

.notification-item div {
    margin: 5px;
}
.notification-item img {
    width: 4rem;
    height: 4rem;
    margin-right: 1rem;
}

.notification.active .notificationIcon {
    animation: blink 1.5s infinite;
}

.notification-name {
    font-weight: bold;
    margin-bottom: 5px;
    text-align: center;
}

.notification-text {
    background-color: #f2f2f2;
    padding: 0.5rem 1rem;
    border-radius: 5px;
    display: inline-block;
    text-align: left;
}

.notification-popup, .profile-popup {
    display: none;
}

.notification:hover .notification-popup, .profile:hover .profile-popup {
    display: flex;
}

.notification-popup, .profile-popup {
    position: absolute;
    top: calc(100% + 5px);;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: 10px 20px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
    z-index: 1000;
    display: none;
    flex-direction: column;
}

@keyframes blink {
    from {
      opacity: 0;
    }
    to {
      opacity: 0.8;
    }
}

@keyframes blink {
    0% {
      opacity: 1;
    }
    50% {
      opacity: 0.5;
    }
    100% {
      opacity: 1;
    }
}

.profile {
    cursor: pointer;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}

.profile p {
    text-align: center;
    margin-left: 10px;
}

.profile-popup button {
    cursor: pointer;
    margin: 5px;
    background-color: white;
}

.profile-popup::before{
    content: "";
    position: absolute;
    top: -1rem;
    right: 1rem;
    border-width: 0 1rem 1rem 1rem;
    border-style: solid;
    border-color: transparent transparent #cccccc transparent;
}

.navigation-container {
    position: relative;
    margin: 5px;
    padding: 1rem 5rem;
}
.navigation-container ul {
    display: flex;
    flex-direction: column;
    padding-left: 0;
}

.navigation-container ul li {
    margin-bottom: 1.5rem; 
}

.navigation-container ul li.active {
    font-weight: bold;
    color: #007bff;
}

.blue-btn {
    background-color: #007bff;
    color: #fff;
    border: none;
    padding: 0.5rem 2rem;
    border-radius: 5px;
    cursor: pointer;
    margin: 2px;
}

.blue-btn img {
    height: 1.5rem;
}

.blue-btn:hover {
    background-color: #0056b3;
}

.status {
    width: 2rem;
    height: 2rem;
    border-radius: 50%;
    display: inline-block;
    margin-right: 5px;
    background-color: #fff;
    border: 1px solid #ccc;
}

.status.active {
    background-color: #4caf50;
    border: 1px solid #3d8b40;
}

.btn{
    padding: 0.5rem 1rem;
}

@media(max-width:991px){
    html{
        font-size:55%;
    }
}
@media(max-width:768px){
    main {
        flex-direction: column;
        padding: 0.5rem;
    }
    header {
        padding: 0.5rem;
    }

    .students-info-section{
        padding: 0.5rem;
    }
}
@media(max-width:450px){
    html{
        font-size:50%;
    }

    table td {
        padding: 0.2rem;
    }
}